param(
	[Parameter(Mandatory=$true)] [string] $teamCityToken,
	[Parameter(Mandatory=$true)] [string] $branch,
	[Parameter] [bool] $web
)

$scriptDir = Split-Path -Path $MyInvocation.MyCommand.Definition -Parent

Write-Output "Starting tests in $branch"

& $scriptDir/Run-TeamCityBuild.ps1 -token $teamCityToken -branch $branch -buildId "LU_FullTests"
& $scriptDir/Run-TeamCityBuild.ps1 -token $teamCityToken -branch $branch -buildId "LU_ReleaseBuild"

if ($web)
{
	Write-Host "Running web tests"
	& $scriptDir/Run-TeamCityBuild.ps1 -token $teamCityToken -branch $branch -buildId "LU_Tests_WebTests"
}
